#ident	"$Header: /var/cvsroot/htdb/src/lib/verbage.c,v 1.1 2008/01/03 02:01:20 del Exp $"

/*
	Copyright  1994-2008 David Whittemore
	<del@adjective.com>, all rights reserved.

	Permission to use, copy, modify, and non-commercially distribute
	this software and its documentation for any purpose is hereby granted
	without fee, provided that the above copyright notice appear in all
	copies and that both that copyright notice and this permission notice
	appear in supporting documentation.  No representations are made about
	the suitability of this software for any purpose.  It is provided
	"as is" without express or implied warranty.
 */
#include	"libhtdb.h"

int_t	htdb_fetchVerbage(char *prefix, char *lookup)
{
	return dbGetRowByKey(prefix,
		"select * from verbage where resource='%s'", lookup);
}

char	*htdb_lookupVerbage(char *lookup)
{
    if (htdb_fetchVerbage("_esp", lookup) > 0) {
		char	*cleaned = htdb_unfilter_unsafe(htdb_getval("_esp->body")),
				*expanded = htdb_expand(cleaned);
		free(cleaned);
		return expanded;
	} else
		return strdup("");
}

void	htdb_emailVerbage(char *lookup)
{
	char	*ptr = htdb_lookupVerbage(lookup);
	sendmail(htdb_getval("confSendmail"), ptr);
	free(ptr);
}

